<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
@author: juan.agudelo

@description   Pantalla que muestra el formulario para solicitar pruebas

    parámetros de entrada:
    -	managedBeanParam: 			Nombre del ManagedBean del que se obtendran los parametros
    - 	selectedTramiteParam: 		Objeto de tipo Tramite que se mostrara los datos requeridos debe incluir solicitud
    
@version        2.0
@modified       lorena.salamanca Se actualiza para la migracion de PrimeFaces 3.2

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" id="datosSolPForm"
             >

    <p:spacer width="0" height="3" />
    <h:panelGrid id="panelDatosPruebas" width="100%">

        <h:panelGrid>

            <h:panelGrid columns="10" width="100%">

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Número de solicitud: "
                               styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update="#{msgsParam}, :detalleSolicitudEjecutarForm" process="@this">
                    <h:outputText value="#{selectedTramiteParam.solicitud.numero}"
                                  styleClass="outputTextStyle" />
                    <f:setPropertyActionListener
                        value="#{selectedTramiteParam.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Fecha de solicitud: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{selectedTramiteParam.solicitud.fecha}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                </h:outputText>

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Tipo de solicitud: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{selectedTramiteParam.solicitud.tipo}"
                              styleClass="outputTextStyle" id="SolicitudTipoV">
                    <f:converter converterId="converterCB" for="SolicitudTipoV" />
                </h:outputText>

                <p:spacer height="10" width="8" />
                <p:spacer height="10" width="8" />

                <h:outputLabel value="Número de radicado: "
                               styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyle"
                               oncomplete="detalleTramiteEjecutarWV.show();" process="@this"
                               update=":detalleTramiteEjecutarForm"
                               value="#{selectedTramiteParam.numeroRadicacion}">
                    <f:setPropertyActionListener value="#{selectedTramiteParam}"
                                                 target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                </p:commandLink>

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Fecha de radicado: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{selectedTramiteParam.fechaRadicacion}"
                              styleClass="outputTextStyle">
                    <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                </h:outputText>

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Tipo de trámite: "
                               styleClass="outputLabelStyle" />
                <h:panelGrid columns="4">
                    <h:outputText value="#{selectedTramiteParam.tipoTramite}"
                                  id="TramiteTipoTramiteV" styleClass="outputTextStyle">
                        <f:converter converterId="converterCB" for="TramiteTipoTramiteV" />
                    </h:outputText>
                    <h:outputText value="#{selectedTramiteParam.claseMutacion}"
                                  id="MutacionClase" styleClass="outputTextStyle">
                        <f:converter converterId="converterCB" for="MutacionClase" />
                    </h:outputText>
                    <h:outputText value="#{selectedTramiteParam.subtipo}"
                                  id="SubtipoMutacionSClase" styleClass="outputTextStyle"
                                  rendered="#{selectedTramiteParam.claseMutacion eq '2'}">
                        <f:converter converterId="converterCB" for="SubtipoMutacionSClase" />
                    </h:outputText>
                    <h:outputText value="#{selectedTramiteParam.subtipo}"
                                  id="SubtipoMutacionQClase" styleClass="outputTextStyle"
                                  rendered="#{selectedTramiteParam.claseMutacion eq '5'}">
                        <f:converter converterId="converterCB" for="SubtipoMutacionQClase" />
                    </h:outputText>
                </h:panelGrid>


                <p:spacer height="10" width="8" />
                <p:spacer height="10" width="8" />

                <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" for="deptoText"/>
                <h:outputText value="#{selectedTramiteParam.departamento.nombre}"
                              styleClass="outputTextStyle" id="deptoText"/>

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                <h:outputText value="#{selectedTramiteParam.municipio.nombre}" 
                              styleClass="outputTextStyle" />

                <p:spacer height="10" width="8" />

                <h:outputLabel value="Número predial: "
                               styleClass="outputLabelStyle" />
                <p:commandLink
                    value="#{selectedTramiteParam.predio.formatedNumeroPredial}"
                    process="@this" update=":dpCC:detallesPredioTV" styleClass="commandLinkStyle"
                    oncomplete="detallePredioWV.show()"
                    action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}"
                    rendered="#{not empty selectedTramiteParam.predio}">
                    <f:setPropertyActionListener
                        target="#{vistaDetallesSolicitud.numeroPredial}"
                        value="#{selectedTramiteParam.predio.numeroPredial}" />
                </p:commandLink>

                <p:commandLink
                    value="#{selectedTramiteParam.formattedNumeroPredial}"
                    process="@this" update=":dpCC:detallesPredioTV" styleClass="commandLinkStyle"
                    oncomplete="detallePredioWV.show()"
                    action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}"
                    rendered="#{not empty selectedTramiteParam.numeroPredial and empty selectedTramiteParam.predio}">
                    <f:setPropertyActionListener
                        target="#{vistaDetallesSolicitud.numeroPredial}"
                        value="#{selectedTramiteParam.numeroPredial}" />
                </p:commandLink>

                <p:spacer height="10" width="8" />
                <p:spacer height="10" width="8" />
                <h:outputLabel value="Derecho Petición/Tutela: " styleClass="outputLabelStyle" />
                <p:commandLink styleClass="commandLinkStyleInTable"
                               oncomplete="detalleSolicitudEjecutarWV.show();"
                               update=":detalleSolicitudEjecutarForm" process="@this">
                    <h:outputText
                        value="#{selectedTramiteParam.formaPeticionTramite}" />
                    <f:setPropertyActionListener
                        value="#{selectedTramiteParam.solicitud}"
                        target="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
                </p:commandLink>

                <p:spacer height="10" width="8" />

            </h:panelGrid>
        </h:panelGrid>
    </h:panelGrid>
</h:panelGrid>